Index: trunk/DataCheck/Transfer/RsyncAuxLP.sh
===================================================================
--- trunk/DataCheck/Transfer/RsyncAuxLP.sh	(revision 18870)
+++ trunk/DataCheck/Transfer/RsyncAuxLP.sh	(revision 18871)
@@ -16,4 +16,20 @@
    echo `date`": /data is not mounted on daq => please mount it"
    finish
+fi
+
+rsynctempdir1=/scratch/rsync_tmp
+if ! [ -d $rsynctempdir1 ]
+then
+   mkdir $rsynctempdir1
+fi
+rsynctempdir2=/scratch/rsync_tmp
+if ! [ -d $rsynctempdir2 ]
+then
+   mkdir $rsynctempdir2
+fi
+rsynctempdir3=/scratch/rsync_tmp
+if ! [ -d $rsynctempdir3 ]
+then
+   mkdir $rsynctempdir3
 fi
 
@@ -71,5 +87,5 @@
    fi
    # rsync from newdaq to newdata
-   if ! /usr/bin/rsync -avu -T $rsynctempdir $bwlimit newdaq:$dir/ $scratch >> $logfile 2>&1
+   if ! /usr/bin/rsync -avu -T $rsynctempdir1 $bwlimit newdaq:$dir/ $scratch >> $logfile 2>&1
    then
       printprocesslog "CONNECTION problem rsyncing auxiliary files in "$dir" from newdaq to newdata"
@@ -89,10 +105,10 @@
    fi
    # distribute to several disk on newdata
-   if ! /usr/bin/rsync -avu -T $rsynctempdir $bwlimit $scratch/ $data1 >> $logfile 2>&1
+   if ! /usr/bin/rsync -avu -T $rsynctempdir2 $bwlimit $scratch/ $data1 >> $logfile 2>&1
    then
       printprocesslog "WARN problem rsyncing auxiliary files in "$dir" from scratch to data1"
       echo `date`": problem rsyncing auxiliary files in "$dir" from scratch to data1" >> $logfile 2>&1
    fi
-   if ! /usr/bin/rsync -avu -T $rsynctempdir $bwlimit $scratch/ $data2 >> $logfile 2>&1
+   if ! /usr/bin/rsync -avu -T $rsynctempdir2 $bwlimit $scratch/ $data2 >> $logfile 2>&1
    then
       printprocesslog "WARN problem rsyncing auxiliary files in "$dir" from scratch to data2"
